services:
    _defaults:
        autowire: true
        autoconfigure: true

    # indicators

    Chill\EventBundle\Export\Export\CountEvents:
        tags:
            - { name: chill.export, alias: 'count_events' }
    Chill\EventBundle\Export\Export\CountEventParticipations:
        tags:
            - { name: chill.export, alias: 'count_event_participants' }

    # filters

    Chill\EventBundle\Export\Filter\EventDateFilter:
        tags:
            - { name: chill.export_filter, alias: 'event_date_filter' }

    Chill\EventBundle\Export\Filter\EventTypeFilter:
        tags:
            - { name: chill.export_filter, alias: 'event_type_filter' }

    Chill\EventBundle\Export\Filter\RoleFilter:
        tags:
            - { name: chill.export_filter, alias: 'role_filter' }

    # aggregators

    Chill\EventBundle\Export\Aggregator\EventTypeAggregator:
        tags:
            - { name: chill.export_aggregator, alias: event_type_aggregator }

    Chill\EventBundle\Export\Aggregator\EventDateAggregator:
        tags:
            - { name: chill.export_aggregator, alias: event_date_aggregator }

    Chill\EventBundle\Export\Aggregator\RoleAggregator:
        tags:
            - { name: chill.export_aggregator, alias: role_aggregator }
